Subject: Re: linux-next: Tree for Aug 6 [ wireless | iwlwifi | mac80211 ? ]

From: Johannes Berg <[email-masked]>
Date: Tue, 06 Aug 2013 17:29:53 +0200

On Tue, 2013-08-06 at 17:27 +0200, Sedat Dilek wrote:
> On Tue, Aug 6, 2013 at 5:20 PM, Sedat Dilek <[email-masked]> wrote:
> > On Tue, Aug 6, 2013 at 5:18 PM, Johannes Berg <[email-masked]> wrote:
> >>
> >>
> >>> I have sent you a v2 of my logs (with -d and rsyslog-7.x).
> >>
> >> Hmm, that looks different? There no longer is anything about "PSK might
> >> be wrong", but now just disconnections by the AP, which unfortunately
> >> indicate no reason.
> >>
> >> When was it working last?
> >>
> >
> > next-20130801 was OK here.
> >
> 
> What about these lines?
> 
> Aug  6 17:03:37 fambox kernel: [  134.575120] wlan0: deauthenticated
> from 00:04:0e:e4:00:3d (Reason: 1)
> Aug  6 17:03:37 fambox wpa_supplicant[2424]: wlan0: Event DEAUTH (12) received
> Aug  6 17:03:37 fambox wpa_supplicant[2424]: wlan0: Deauthentication
> notification
> Aug  6 17:03:37 fambox wpa_supplicant[2424]: Deauthentication frame
> IE(s) - hexdump(len=0): [NULL]
> Aug  6 17:03:37 fambox wpa_supplicant[2424]: wlan0: WPA: 4-Way
> Handshake failed - pre-shared key may be incorrect
> Aug  6 17:03:37 fambox NetworkManager[2431]: <info> (wlan0):
> supplicant interface state: 4-way handshake -> disconnected

Yeah but before you had a local deauth request, this time it's the AP
kicking you off.

I really don't know. Can you try something like wireless-testing maybe?
-next could have any kind of breakage I guess ...

johannes